Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

1 - Le matériel et les pilotes ALSA, FFADO, ...

> Forums de discussion > 1 - Le matériel et les pilotes ALSA, FFADO, ... > [ABANDONNÉ] alsa-driver-1.0.25 pour scarlett 18i6
Dernier post

[ABANDONNÉ] alsa-driver-1.0.25 pour scarlett 18i6

fabfuzz utilisateur non connecté France
Bonjour
OS UBUNTU STUDIO instal de 2 jour (les mêmes soucis avec 14.04 lts)

En suivant ce lien http://sergey.vlasov.me/2012/09/using-focusrite-scarlett-18i6-in-linux.html
(si une personne pouvais y jeter un oeil ca serais sympa car je galère depuis des mois et si ma carte son fonction je pourrai enfin virer windows définitivement :-)

je ne peut pas faire la manip suivante ./configure
c'est le fichier card.c de alsa-driver-1.0.25

En suivant un lien du forum avec problèmes identiques j'ai installai et decompressé linux source toujours rien

le terminal me répond

fabfuzz@akrfab:~$ sudo su 
[sudo] password for fabfuzz: 
root@akrfab:/home/fabfuzz# cd Bureau
root@akrfab:/home/fabfuzz/Bureau# cd alsa-driver-1.0.25
root@akrfab:/home/fabfuzz/Bureau/alsa-driver-1.0.25# ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking whether gcc needs -traditional... no
checking for current directory... /home/fabfuzz/Bureau/alsa-driver-1.0.25
checking cross compile... 
checking for directory with ALSA kernel sources... /home/fabfuzz/Bureau/alsa-driver-1.0.25/alsa-kernel
checking for directory with kernel source... /lib/modules/3.13.0-40-lowlatency/build
checking for directory with kernel build... /lib/modules/3.13.0-40-lowlatency/build
checking for kernel linux/version.h ... no
The file /lib/modules/3.13.0-40-lowlatency/build/include/INCLUDE_VERSION_H does not exist.
Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /lib/modules/3.13.0-40-lowlatency/build).


Merci pour les réponses

olinuxx utilisateur non connecté France
Salut,
quel est la version de ton alsa installé d'origine ? Il te faut avant tout vérifier que tu installes la bonne version de ALSA qui correspond à ton système.


Sinon, concernant ton problème, le terminal te dit :
checking for kernel linux/version.h ... no
The file /lib/modules/3.13.0-40-lowlatency/build/include/INCLUDE_VERSION_H does not exist.
Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /lib/modules/3.13.0-40-lowlatency/build).


Il te faut donc installer les sources complètes de ton noyau (qui contiendront le fichier version.h) avant de procéder au ./configure

fabfuzz utilisateur non connecté France
Rebonjour
j'espère que je t'envoie les bonnes infos! sinon dit moi svp comment faire


fabfuzz@akrfab:~$ cat /proc/asound/cards
 0 [PCH            ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xdf000000 irq 52
fabfuzz@akrfab:~$ aplay -l
**** Liste des Périphériques Matériels PLAYBACK ****
carte 0: PCH [HDA Intel PCH], périphérique 0: ALC269VB Analog [ALC269VB Analog]
  Sous-périphériques: 1/1
  Sous-périphérique #0: subdevice #0
carte 0: PCH [HDA Intel PCH], périphérique 3: HDMI 0 [HDMI 0]
  Sous-périphériques: 1/1
  Sous-périphérique #0: subdevice #0



fabfuzz@akrfab:~$ dpkg -L alsa-base
/.
/sbin
/sbin/alsa
/usr
/usr/share
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/alsa-base
/usr/share/alsa-base
/usr/share/alsa-base/alsa.default
/usr/share/alsa-base/alsa-info.sh
/usr/share/bug
/usr/share/bug/alsa-base
/usr/share/bug/alsa-base/presubj
/usr/share/bug/alsa-base/control
/usr/share/bug/alsa-base/script
/usr/share/doc
/usr/share/doc/alsa-base
/usr/share/doc/alsa-base/copyright
/usr/share/doc/alsa-base/changelog-old.Debian.gz
/usr/share/doc/alsa-base/README.Debian.gz
/usr/share/doc/alsa-base/driver
/usr/share/doc/alsa-base/driver/compress_offload.txt.gz
/usr/share/doc/alsa-base/driver/HD-Audio-Controls.txt.gz
/usr/share/doc/alsa-base/driver/hda_codec.txt.gz
/usr/share/doc/alsa-base/driver/serial-u16550.txt
/usr/share/doc/alsa-base/driver/Procfile.txt.gz
/usr/share/doc/alsa-base/driver/VIA82xx-mixer.txt
/usr/share/doc/alsa-base/driver/emu10k1-jack.txt
/usr/share/doc/alsa-base/driver/seq_oss.html
/usr/share/doc/alsa-base/driver/Audigy-mixer.txt.gz
/usr/share/doc/alsa-base/driver/SB-Live-mixer.txt.gz
/usr/share/doc/alsa-base/driver/hdspm.txt.gz
/usr/share/doc/alsa-base/driver/CMIPCI.txt.gz
/usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz
/usr/share/doc/alsa-base/driver/ControlNames.txt
/usr/share/doc/alsa-base/driver/alsa-parameters.txt
/usr/share/doc/alsa-base/driver/OSS-Emulation.txt.gz
/usr/share/doc/alsa-base/driver/Joystick.txt
/usr/share/doc/alsa-base/driver/MIXART.txt
/usr/share/doc/alsa-base/driver/HD-Audio.txt.gz
/usr/share/doc/alsa-base/driver/ALSA-Configuration.txt.gz
/usr/share/doc/alsa-base/driver/Bt87x.txt
/usr/share/doc/alsa-base/driver/powersave.txt
/usr/share/doc/alsa-base/driver/Audiophile-Usb.txt.gz
/usr/share/doc/alsa-base/NEWS.Debian.gz
/usr/share/doc/alsa-base/FAQ
/usr/share/doc/alsa-base/SOUNDCARDS.gz
/usr/share/doc/alsa-base/README
/usr/share/apport
/usr/share/apport/package-hooks
/usr/share/apport/package-hooks/source_alsa-driver.py
/etc
/etc/apm
/etc/apm/suspend.d
/etc/apm/scripts.d
/etc/apm/scripts.d/alsa
/etc/apm/resume.d
/etc/modprobe.d
/etc/modprobe.d/blacklist-modem.conf
/etc/modprobe.d/alsa-base.conf
/usr/share/doc/alsa-base/changelog.Debian.gz


fabfuzz@akrfab:~$ dpkg -l | grep linux-source
ii  linux-source                                3.13.0.40.47                          all          Linux kernel source with Ubuntu patches
ii  linux-source-3.13.0                         3.13.0-40.69                          all          Linux kernel source for version 3.13.0 with Ubuntu patches


fabfuzz@akrfab:~$ dpkg -l | grep linux-source
ii  linux-source                                3.13.0.40.47                          all          Linux kernel source with Ubuntu patches
ii  linux-source-3.13.0                         3.13.0-40.69                          all          Linux kernel source for version 3.13.0 with Ubuntu patches
fabfuzz@akrfab:~$ dpkg -l | grep linux-source
ii  linux-source                                3.13.0.40.47                          all          Linux kernel source with Ubuntu patches
ii  linux-source-3.13.0                         3.13.0-40.69                          all          Linux kernel source for version 3.13.0 with Ubuntu patches


Merci

fabfuzz utilisateur non connecté France
j'ai aussi installé
sudo apt-get install linux-source


olinuxx utilisateur non connecté France
Fais une recherche dans ton synaptic avec "alsa". Tu y verras le numéro d'alsa, genre 1.0.25 . Dis nous lequel est-ce.

Pour avoir le fichier version.h d'installé, il te faudra installer le paquet linux-header correspondant à la version de ton noyau.

fabfuzz utilisateur non connecté France
Voila
Installé et supporté

alsa base 1.0.25+dfgs.0 ubuntu que j'ai installer via le lien


alsa utile 1.0.27.2-1 ubuntu2


3.13.0-32.57 et 3.13.0-40.69 Linux kernel headers for version 3.13.0 on 64 bit x86 SMP

3.13.0-32.57 et 3.13.0-40.69 Lowlaten Linux kernel headers for version 3.13.0 on 64 bit x86 SMP

olinuxx utilisateur non connecté France
il faut que les différentes parties d'ALSA (alsa-base, alsa-utils, ...) soient de la même version. Sans quoi, tu risques d'avoir des problèmes.

fabfuzz utilisateur non connecté France
Bonjour Olinuxx

Voila rien trouvé sur le site alsa pas de alsa-driver et base 1.0.27

mais sur ce site » Tanglu » Paquets » bartholomea » Source » misc » alsa-base

alsa-base_1.0.27+1.dsc 1,0 ko a26230ecdb13c76d6da51e118b442f29
alsa-base_1.0.27+1.tar.xz 45,7 ko adb626e55d858fe5f82431b2d86e8ee8

est-ce ok si oui le quel des 2 installer

si je met tout a la même version (alsa-base, alsa-utils, ... 1.0.27) j'aurai tout de même alsa-driver 1.0.25 est-ce compatible?

j'adore vraiment linux pour sa philosophie et ses possibilités techniques mais c'est très déroutant par un nom initié, plus de 2 heures pour ce message ce n'est pas un reproche c'est juste un constat

olinuxx utilisateur non connecté France
Ah bah, si tu trouves que c'est mal fait, c'est à Ubuntu Studio qu'il faut le signaler. Après, il faut dire aussi que tu as suivi un tutoriel qui date du 8 septembre 2012 trouvé sur un site personnel. Pas sûr donc que ce soit à jour.

Je précise : pour une utilisation optimale, et afin d'éliminer tout un tas de probleme potentiel, il faut que tous les composants de ALSA (alsa-base, alsa-utils, alsa-driver, ...) aient la même version.

Essaies donc de réinstaller la version des composants ALSA fourni par les dépôts de ta Ubuntu Studio. Et tu me diras quelle en est la version.

fabfuzz utilisateur non connecté France
Tu ma mal compris
Ah bah, si tu trouves que c'est mal fait! (ses possibilités techniques) je ne vais pas critiquer des gents qui me donne un os et des tas de logiciel gratuits!
(mais c'est très déroutant (par)pour un nom initié,)
je ne sais pas du tout comment ' réinstaller la version des composants ALSA fourni par les dépôts de ta Ubuntu Studio'
j'ai portant chercher sur le net
une petite piste svp

fabfuzz utilisateur non connecté France

Hello
j'ai donc trouvé comment réinstaller.

C'est il me semble identique

Donc voici une capture d'écran


pour (tutoriel qui date du 8 septembre 2012 trouvé sur un site personnel.) ce sont les seul infos que j'ai pu trouver.


Image

olinuxx utilisateur non connecté France
fabfuzz, elle tourne ta scarlett ?

olinuxx utilisateur non connecté France
Je mets un [ABANDONNÉ] et fermerai ce fil à mon prochain passage si pas de réponse.

Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

sub26nico, 13:05, lun. 02 Aug 2021: @CyrilRos, ton lien ci-bas ne fonctionne pas
CyrilRos, 22:59, dim. 01 Aug 2021: Tux|N|Mix 21.1 disponible [Lien]
sub26nico, 14:33, dim. 01 Aug 2021: Salut et bienvenue à Youplala, Cant' et Bluetak :-)
CyrilRos, 21:45, mar. 27 Jul 2021: [Lien]
olinuxx, 20:54, mar. 27 Jul 2021: Bonjour et bienvenue à nick cool
olinuxx, 20:47, dim. 25 Jul 2021: Bonjour et bienvenue à GrosRems et à paulisaak cool
olinuxx, 20:05, jeu. 22 Jul 2021: Bonjour et bienvenue à labeyte07 cool
olinuxx, 21:03, mar. 20 Jul 2021: Bonjour et bienvenue à tv cool
Nolwen, 19:33, lun. 19 Jul 2021: Hola,À propos de la création de pattern (motifs) MIDI pour batterie, quelqu'un sait-il où en est la discussion ?
olinuxx, 01:28, lun. 19 Jul 2021: Lolo-Rosso : l'adresse courriel que tu as renseignée lors de ton inscription n'est pas fonctionnelle. Contacte moi pour corriger le soucis : [Lien]
calixtus06, 18:07, ven. 16 Jul 2021: Bonjour et bienvenue à titicplusplus :-)
calixtus06, 11:35, ven. 16 Jul 2021: Bonjour et bienvenue à toi lablonde ! :-)